Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ClosurePtr< GenericMemFunc, StaticFuncPtr, UnvoidStaticFuncPtr > Class Template Reference

`#include <FastDelegate.h>`

Inheritance diagram for ClosurePtr< GenericMemFunc, StaticFuncPtr, UnvoidStaticFuncPtr >:

## Public Member Functions
template<class X , class XMemFunc >
void | bindmemfunc (X *pthis, XMemFunc function_to_bind)
template<class X , class XMemFunc >
void | bindconstmemfunc (const X *pthis, XMemFunc function_to_bind)
GenericClass * | GetClosureThis () const
GenericMemFunc | GetClosureMemPtr () const
template<class DerivedClass >
void | CopyFrom (DerivedClass *pParent, const DelegateMemento &right)
template<class DerivedClass , class ParentInvokerSig >
void | bindstaticfunc (DerivedClass *pParent, ParentInvokerSig static_function_invoker, StaticFuncPtr function_to_bind)
UnvoidStaticFuncPtr | GetStaticFunction () const
bool | IsEqualToStaticFuncPtr (StaticFuncPtr funcptr)
Public Member Functions inherited from DelegateMemento
| DelegateMemento ()
void | clear ()
bool | IsEqual (const DelegateMemento &x) const
bool | IsLess (const DelegateMemento &right) const
bool | operator! () const
bool | empty () const
DelegateMemento & | operator= (const DelegateMemento &right)
bool | operator< (const DelegateMemento &right)
bool | operator> (const DelegateMemento &right)
| DelegateMemento (const DelegateMemento &right)

## Additional Inherited Members
Protected Types inherited from DelegateMemento
typedef void(detail::GenericClass::* | GenericMemFuncType) ()
Protected Member Functions inherited from DelegateMemento
void | SetMementoFrom (const DelegateMemento &right)
Protected Attributes inherited from DelegateMemento
detail::GenericClass * | m_pthis
GenericMemFuncType | m_pFunction

## Member Function Documentation

void bindconstmemfunc | ( | const X * | pthis,
|  | XMemFunc | function_to_bind
| ) |  |
| inline

void bindmemfunc | ( | X * | pthis,
|  | XMemFunc | function_to_bind
| ) |  |
| inline

void bindstaticfunc | ( | DerivedClass * | pParent,
|  | ParentInvokerSig | static_function_invoker,
|  | StaticFuncPtr | function_to_bind
| ) |  |
| inline

void CopyFrom | ( | DerivedClass * | pParent,
|  | const DelegateMemento & | right
| ) |  |
| inline

GenericMemFunc GetClosureMemPtr | ( |  | ) | const
| inline

GenericClass* GetClosureThis | ( |  | ) | const
| inline

UnvoidStaticFuncPtr GetStaticFunction | ( |  | ) | const
| inline

bool IsEqualToStaticFuncPtr | ( | StaticFuncPtr | funcptr | ) |
| inline

The documentation for this class was generated from the following file:

- delegates/FastDelegate.h